(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_size ppf = function | u_l -> Upervasives_print.print_length ppf u_l
;;

let print_key pp_a ppf = function
  | a_u_e -> Uindex_index_print.print_element pp_a ppf a_u_e
;;

let print_value pp_a ppf = function
  | a_u_i -> Uindex_index_print.print_index pp_a ppf a_u_i
;;

let print_t pp_a ppf = function
  | t ->
    (fun s_a_k_u_t ->
     Ugen_numbering_hashtbl_print.print_t print_size (print_key pp_a) ppf
      s_a_k_u_t)
     (Uindex_hashtbl.of_t t)
;;

(* End of ocamlprintc.bin generated code *)
